GET /v1/execution-webhooks
List execution webhook endpoints for the current organization
GET
/v1/execution-webhooks
List execution webhook endpoints for the current organization
Query Parameters
limit
integer
optional
query
Number of items (default 20, max 100)
offset
integer
optional
query
Offset for pagination (default 0)
Responses
200
OK
application/jsoncode
integer
data
object
hasMore
boolean
items
object[]
Array of:
createdAt
string
createdBy
string
description
string
disabledAt
string
id
string
maxRetries
integer
name
string
organizationId
string
status
string
Enum:
active, disabledsubscribedEventTypes
string[]
Array of:
updatedAt
string
url
string
limit
integer
offset
integer
message
string
requestId
string
400
Bad Request
curl -X GET 'https://api.example.com/v1/execution-webhooks' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/execution-webhooks', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/execution-webhooks', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/execution-webhooks", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "hasMore": true, "items": [ { "createdAt": "<string>", "createdBy": "<string>", "description": "<string>", "disabledAt": "<string>", "id": "<string>", "maxRetries": 123, "name": "<string>", "organizationId": "<string>", "status": "active", "subscribedEventTypes": [ "<string>" ], "updatedAt": "<string>", "url": "<string>" } ], "limit": 123, "offset": 123 }, "message": "success", "requestId": "req_123"}
API Playground
Try this endpoint
GET
/v1/execution-webhooks
